<?php
/**
 * Functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package nova-autocare
 * @since 1.0.0
 */

/**
 * Enqueue the CSS files.
 *
 * @since 1.0.0
 *
 * @return void
 */
function nova_autocare_styles() {
	wp_enqueue_style(
		'nova-autocare-style',
		get_stylesheet_uri(),
		[],
		wp_get_theme()->get( 'Version' )
	);
	wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'nova_autocare_styles' );


function nova_autocare_register_block_pattern_categories(){
    register_block_pattern_category(
        'nova-autocare',
        array( 'label' => esc_html__( 'Theme Patterns', 'nova-autocare' ) )
    );

}
add_action('init', 'nova_autocare_register_block_pattern_categories');

function nova_autocare_setup() {

	load_theme_textdomain( 'nova-autocare', get_template_directory() . '/languages' );

}
add_action( 'after_setup_theme', 'nova_autocare_setup' );

/* Getstarted */
require get_template_directory() . '/getstart/getstart.php';

//LINKS
function nova_autocare_setup_theme() {
	if ( ! defined( 'NOVA_AUTOCARE_PREMIUM_PAGE' ) ) {
		define('NOVA_AUTOCARE_PREMIUM_PAGE',__('https://www.novathemes.net/products/automobile-services-wordpress-theme/','nova-autocare'));
	}
	if ( ! defined( 'NOVA_AUTOCARE_THEME_PAGE' ) ) {
		define('NOVA_AUTOCARE_THEME_PAGE',__('https://www.novathemes.net/products/nova-autocare/','nova-autocare'));
	}
	if ( ! defined( 'NOVA_AUTOCARE_SUPPORT' ) ) {
		define('NOVA_AUTOCARE_SUPPORT',__('https://wordpress.org/support/theme/nova-autocare/','nova-autocare'));
	}
	if ( ! defined( 'NOVA_AUTOCARE_REVIEW' ) ) {
		define('NOVA_AUTOCARE_REVIEW',__('https://wordpress.org/support/theme/nova-autocare/reviews/','nova-autocare'));
	}
	if ( ! defined( 'NOVA_AUTOCARE_PRO_DEMO' ) ) {
		define('NOVA_AUTOCARE_PRO_DEMO',__('https://sample.novathemes.net/nova-automobile-service/','nova-autocare'));
	}
	if ( ! defined( 'NOVA_AUTOCARE_THEME_DOCUMENTATION' ) ) {
		define('NOVA_AUTOCARE_THEME_DOCUMENTATION',__('https://sample.novathemes.net/documentation/nova-autocare/','nova-autocare'));
	}
	if ( ! defined( 'NOVA_AUTOCARE_BUNDLE_PAGE' ) ) {
		define('NOVA_AUTOCARE_BUNDLE_PAGE',__('https://www.novathemes.net/products/wordpress-theme-bundle/','nova-autocare'));
	}
	if ( ! defined( 'NOVA_AUTOCARE_COLLECTION_PAGE' ) ) {
		define('NOVA_AUTOCARE_COLLECTION_PAGE',__('https://www.novathemes.net/collections/premium-wordpress-themes/','nova-autocare'));
	}
}
add_action('after_setup_theme', 'nova_autocare_setup_theme');

/**
 * Customizer
 */
require get_template_directory() . '/inc/customizer.php';